#ifndef BITMAPLOADER_H
#define BITMAPLOADER_H

#include <allegro.h>
#include <map>
#include <string>

using std::map;
using std::string;

enum BitmapIndex
{
    WALL,
    GRASS,
    PLAYER_UP,
    PLAYER_DOWN,
    PLAYER_LEFT,
    PLAYER_RIGHT
};

class BitmapLoader
{
        map<int, BITMAP*> bitmaps;
        string file;

    public:

        BitmapLoader(string _file);
        ~BitmapLoader();

        BITMAP* getBitmap(BitmapIndex index);
};

#endif // BITMAPLOADER_H
