#ifndef GAME_H
#define GAME_H

#include <allegro.h>

#include "Utils.h"
#include "GameStep.h"
#include "PresentsStep.h"
#include "MainMenuStep.h"
#include "OptionsStep.h"
#include "CreditsStep.h"
#include "BattleStep.h"

class Game
{
    Steps game_step;

    BITMAP* buffer;

    public:

        static volatile int tick;

        static void timer();

        Game();

        ~Game();

        void setup();

        void run(GameStep* step);

        void mainLoop();
};

#endif // GAME_H
