#ifndef GAMESTEP_H
#define GAMESTEP_H

#include <allegro.h>

#include "Utils.h"

class GameStep
{
    protected:

        bool quited;

        Steps* step;

    public:

        GameStep(Steps* _step);

        virtual ~GameStep();

        virtual void load() = 0;

        virtual void input() = 0;

        virtual void process() = 0;

        virtual void draw(BITMAP* buffer) = 0;

        virtual void unload() = 0;

        virtual void changeToStep(Steps _step);

        virtual bool quit();
};

#endif // GAMESTEP_H
