#ifndef MENUItem_H
#define MENUItem_H

#include <allegro.h>
#include <vector>
#include <string>

#include "Color.h"
#include "Utils.h"

using std::string;
using std::vector;

struct MenuItem
{
    string text;

    ItemState state;

    bool selected;
};

typedef vector<MenuItem> MenuItems;

class Menu
{
    int x, y;

    int selected_item;

    string title;

    MenuItems items;

	public:

		Menu(string _title, int _x, int _y);

		~Menu();

		void add(string _text, ItemState _state);

		void remove(string _text);

		void removeAll();

        void previous();

		void next();

        void draw(BITMAP* buffer);

        int getSelected();
};


#endif // MENUItem_H
