#include "Graphic.h"

Graphic::Graphic(int gfx, int w, int h)
{
    allegro_init();

    int depth = desktop_color_depth();

    if(depth == 0) depth = 32;

    set_color_depth(depth);

    if(set_gfx_mode(gfx, w, h, 0, 0) == 0)
    {
        allegro_message(allegro_error);

        exit(1);
    }

    install_keyboard();

    install_mouse();
}

Graphic::~Graphic()
{
    clear_keybuf();

    allegro_exit();
}
