#ifndef ARENA_H
#define ARENA_H

#include <allegro.h>
#include <vector>

#include "Color.h"
#include "Bomb.h"
#include "Player.h"
#include "ArenaElement.h"
#include "Wall.h"
#include "Grass.h"
using std::vector;

class Arena
{
    int x;
    int y;
    int w;
    int h;

    vector<ArenaElement*> elements;

    public:

        Arena(int _x, int _y, int _w, int _h);

        ~Arena();

        void addElement(ArenaElement* e);

        void load(const char* filename);

        void draw(BITMAP* buffer);

        bool free(int x, int y);
};

#endif // ARENA_H
