#ifndef ARENAELEMENT_H
#define ARENAELEMENT_H

#include <allegro.h>

class ArenaElement
{
    protected:
        int x;

        int y;

        BITMAP* img;

    public:

        ArenaElement(int _x = 0, int _y = 0);
        ~ArenaElement();

        void load(BITMAP* bmp);

        virtual void draw(BITMAP* buffer) = 0;

        int getX();
        int getY();
};

#endif // ARENAELEMENT_H
