#ifndef BATTLESTEP_H
#define BATTLESTEP_H

#include "Color.h"
#include "GameStep.h"
#include "Player.h"
#include "Arena.h"

class BattleStep : public GameStep
{
    Player* player;

    Arena* arena;

    public:

        BattleStep(Steps* _step);

        virtual ~BattleStep();

        void load();

        void input();

        void process();

        void draw(BITMAP* buffer);

        void unload();

        void requestWalk(Direction d);
};

#endif // BATTLESTEP_H
