#ifndef MAINMENUSTEP_H
#define MAINMENUSTEP_H

#include <allegro.h>
#include <vector>

#include "Color.h"
#include "GameStep.h"
#include "Menu.h"

using std::vector;

class MainMenuStep : public GameStep
{
    Menu* menu;

    public:

        MainMenuStep(Steps* _step);

        virtual ~MainMenuStep();

        void load();

        void input();

        void process();

        void draw(BITMAP* buffer);

        void unload();
};

#endif // MAINMENU_H
