#include "OptionsStep.h"

OptionsStep::OptionsStep(Steps* _step)
: GameStep(_step)
{
}

OptionsStep::~OptionsStep()
{
}

void OptionsStep::load()
{

}

void OptionsStep::input()
{
    if(keypressed())
    {
        if(key[KEY_ESC])
        {
            quited = true;

            changeToStep(MAINMENU);
        }
    }

    clear_keybuf();
}

void OptionsStep::process()
{

}

void OptionsStep::draw(BITMAP* buffer)
{
    clear_bitmap(buffer);

    textout_centre_ex(buffer, font, "Opes", 320, 50, YELLOW, NO_BGCOLOR);

    textout_centre_ex(buffer, font, "Pressione ESC para continuar...", 320, 430, WHITE, NO_BGCOLOR);

    blit(buffer, screen, 0, 0, 0, 0, buffer->w, buffer->h);
}

void OptionsStep::unload()
{
}

