#ifndef COMMON_H
#define COMMON_H

const int TILE_W = 40;
const int TILE_H = 40;

enum Steps
{
    PRESENTS,
    MAINMENU,
        NEWGAME,
        SINGLEPLAYER,
        MULTIPLAYER,
            SHOWROOM,
            ROOMSETTINGS,
            BATTLE,
            RESULT,
        OPTIONS,
        CREDITS,
    EXIT
};

enum Choice
{
    SINGLEPLAYER_CHOICE,
    MULTIPLAYER_CHOICE,
    OPTIONS_CHOICE,
    CREDITS_CHOICE,
    EXIT_CHOICE,
};

enum ItemState
{
    ENABLED,
    DISABLED
};

#endif // COMMON_H

